Skip to Content
Occupations

Create Occupation

Acesso

Membro da organização com esta permissão:

  • terrains:write

Uma chave de API com scopes também precisa da permissão nos seus scopes.

POST
/orgs/{organizationId}/occupations

Creates a new occupation (optional description, paid until and invoiced until).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
customerId*string
terrainId*string
occupationType?string
Value in"OWN_ACCOMMODATION""RENTAL_CARAVAN"
rentPeriod?
price?number|null
description?string|null
paidUntil?string
Formatdate-time
invoicedUntil?string
Formatdate-time
startReadings?array<>
customFields?

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//occupations' \  -H 'Content-Type: application/json' \  -d '{  "customerId": "string",  "terrainId": "string"}'
Example Response
null